Bug 96292 - xdvi-xaw crashes on xdvi call
Summary: xdvi-xaw crashes on xdvi call
Status: RESOLVED FIXED
Alias: None
Product: XQuartz
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 2.7.8 (xserver-1.16.4)
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Jeremy Huddleston Sequoia
QA Contact: Jeremy Huddleston Sequoia
URL:
Whiteboard:
Keywords:
: 96401 96496 96666 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-05-31 14:46 UTC by Ryan Edwards
Modified: 2016-09-18 22:43 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
crash report (10.54 KB, text/plain)
2016-05-31 14:46 UTC, Ryan Edwards
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Edwards 2016-05-31 14:46:19 UTC
Created attachment 124213 [details]
crash report

I'm trying to use xdvi on Mac OS X (10.11.5) via XQuartz 2.7.9, but every call to xdvi results in a crash:

xdvi-xaw.bin 22.84.9 (Xaw toolkit): events.c:4144: Shouldn't happen: Segmentation fault - trying to clean up and aborting ...

I've attached the crash report.
Comment 1 Jeremy Huddleston Sequoia 2016-05-31 18:29:32 UTC
The crashing application is /opt/local/bin/xdvi-xaw.bin.  It looks like a bug in handle_sigusr() in xdvi-xaw.bin

Please file the bug with whoever is responsible for that software.

5   ???                           	0xffffffff 0 + 4294967295
6   xdvi-xaw.bin                  	0x000202be handle_sigusr + 38
Comment 2 malcubi 2016-05-31 18:46:26 UTC
I have exactly the same problem.

Yesterday I installed the latest upgrade to XQuartz (2.7.9) en my Mac (running OSX el capitan 10.11.5.  Since then xdvi is crashing with the message:

xdvi-xaw 22.87 (Xaw toolkit): ../../../texk/xdvik/events.c:4411: Shouldn't happen: Segmentation fault - trying to clean up and aborting ...

Trying to fix it I did a clean installation of mactex, but the problem remains.  Any help will be appreciated.
Comment 3 Ryan Edwards 2016-05-31 19:11:00 UTC
When asked about this topic, a friend of mine remarked:


> xaw refers to the "Athena widgets," a GUI library produced in MIT in the 1980s that is nearly the ugliest ever made. I can see why it's no longer supported.


Maybe it's time to move on!  On Mac OS X, if you run pdflatex or chain together some dvips and ps2pdf, it appears that Preview can auto-refresh although not in the background.
Comment 4 David Goldberg 2016-06-04 19:37:40 UTC
I have the same problem.  I'm on MacOS 10.11.5 and after installing XQuartz 2.7.9 I got the error message
 xdvi-xaw 22.87 (Xaw toolkit): ../../../texk/xdvik/events.c:4411: Shouldn't happen:   Segmentation fault - trying to clean up and aborting ...
  Abort trap: 6

When I reinstalled from XQuartz-2.7.8.dmg xdvi resumed working.  Perhaps strictly speaking it is not an XQuartz bug, but installing 2.7.9 turned xdvi from usable to unusable.
Comment 5 Jeremy Huddleston Sequoia 2016-06-05 19:26:31 UTC
Please try with 2.7.10_beta2 as that's likely to produce a much more useful crash report.
Comment 6 David Goldberg 2016-06-08 05:19:20 UTC
I installed 2.7.10_beta2, but it didn't work at all.  I couldn't even run XQuartz directly, much less indirectly via xdvi.
Comment 7 Jeremy Huddleston Sequoia 2016-06-08 05:43:19 UTC
Then please file a bug report about whatever issue you see with 2.7.10_beta2 or discuss it on the mailing list.
Comment 8 Jeremy Huddleston Sequoia 2016-06-12 04:31:57 UTC
*** Bug 96496 has been marked as a duplicate of this bug. ***
Comment 9 Jeremy Huddleston Sequoia 2016-06-12 04:33:08 UTC
*** Bug 96401 has been marked as a duplicate of this bug. ***
Comment 10 Jeremy Huddleston Sequoia 2016-06-12 04:33:54 UTC
From my comment in one of the dupes:

Symbolicated to:

Application Specific Information:
=================================================================
==462==ERROR: AddressSanitizer: SEGV on unknown address 0x000000000000 (pc 0x000100874530 bp 0x7fff5fbfdb80 sp 0x7fff5fbfdb50 T0)
==462==atos returned an error: An admin user name and password is required to enter Developer Mode.
#0 _XtIsSubclassOf (Intrinsic.c:137 in libXt.7.dylib)
#1 GetNamesAndClasses (Resources.c:254 in libXt.7.dylib)
#2 _XtGetResources (Resources.c:956 in libXt.7.dylib)
#3 xtCreate (Create.c:391 in libXt.7.dylib)
#4 _XtCreateWidget (Create.c:570 in libXt.7.dylib)
#5 XtCreateManagedWidget (Create.c:610)
#6 XawViewportInitialize (Viewport.c:313 in libXaw.7.dylib)
#7 CallInitialize (Create.c:226 in libXt.6.dylib)
#8 xtCreate (Create.c:416 in libXt.6.dylib)
#9 _XtCreateWidget (Create.c:570 in libXt.6.dylib)
#10 _XtVaCreateWidget (VarCreate.c:79 in libXt.6.dylib)
#11 XtVaCreateManagedWidget (VarCreate.c:134 in libXt.6.dylib)
…

The issue here is likely the mixing of libXt.6.dylib with libXaw.7.dylib which is using libXt.7.dylib.

Ugg.
Comment 11 Jeremy Huddleston Sequoia 2016-06-12 04:36:05 UTC
FWIW, this was in beta and rc for about 7 months without anyone reporting the issue.  Given that it's such a rare problem with a pretty simple fix (recompile against the non flat-namespace library exclusively), I'm not sure it's worth doing additional hacks to try to maintain binary compatibility.

Anyone have opinions about that?
Comment 12 Richard Koch 2016-06-12 16:55:26 UTC
I compile TeX Live for the Macintosh. The program xdvi will be updated for the 64 bit binaries in a couple of days. The update is available via tlmgr or TeX Live Utility.
To obtain the update, users must have installed MacTeX-2016 or TeX-Live-2016, released last week.

The update fixes this bug on all 64 bit systems, from Snow Leopard to El Capitan,
but requires updating XQuartz to version 2.7.9, which is possible on all these systems. Thanks to Jeremy Huddleston Sequoia for very helpful comments above.
Comment 13 Yannis Haralambous 2016-07-02 13:30:14 UTC
As I'm still running under TeXLive 2012, I could not possibly use tlmgr to get the latest version of xdvi, so my solution was to return to XQuartz 2.7.8, you can do that by installing it from https://www.xquartz.org/releases/XQuartz-2.7.8.html
Comment 14 Jeremy Huddleston Sequoia 2016-07-04 07:17:02 UTC
*** Bug 96666 has been marked as a duplicate of this bug. ***
Comment 15 John Hawkinson 2016-07-20 02:55:28 UTC
(In reply to Jeremy Huddleston Sequoia from comment #11)
> FWIW, this was in beta and rc for about 7 months without anyone reporting
> the issue.  Given that it's such a rare problem with a pretty simple fix
> (recompile against the non flat-namespace library exclusively), I'm not sure
> it's worth doing additional hacks to try to maintain binary compatibility.
> 
> Anyone have opinions about that?

Just upgraded to 2.7.9 and hit this.
I don't think that it is a rare problem (xdvi is a pretty popular X app!), and recompiling TeX, much less reinstalling TeX, is a pretty big deal and hugely destabilizing to my system. I would really  like to avoid having to do it, and will likely back out Xquartz rather than try to upgrade texlive.

My strong opinion is that it is worth preserving binary compatibility.
X is a fairly mature system, so compatibility is all the more important.
It's not a fast-moving target like some software.

Thanks.
Comment 16 Jeremy Huddleston Sequoia 2016-09-18 22:43:25 UTC
Resolved with 2.7.10_rc1.  See the release notes.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.